## pam-ssh-agent-auth 0.10.3

=== dist/freebsd-6.4/pam_ssh_agent_auth/Makefile ===
# New ports collection makefile for: pam_ssh_agent_auth
# Date created:        18 January 2009
# Whom:                Jamie Beverly
#
# $FreeBSD$
#

PORTNAME       = pam_ssh_agent_auth
PORTVERSION    = 0.10.2
CATEGORIES     = security
MASTER_SITES   = http://downloads.sourceforge.net/pamsshagentauth/pam_ssh_agent_auth-0.9.5.tar.bz2
EXTRACT_SUFX   = .tar.bz2
WRKSRC         = ${WRKDIR}/$(PORTNAME)

MAINTAINER     = soupboy@sourceforge.net
COMMENT        = A PAM module implementing authentication via ssh-agent

MAN8           = pam_ssh_agent_auth.8
MANCOMPRESSED  = no

GNU_CONFIGURE  = yes
USE_GMAKE      = yes
PREFIX         = /
MANPREFIX      = /usr/share
CONFIGURE_ARGS = --libexecdir=/usr/lib --with-mantype=man

.include <bsd.port.mk>

## pam-ssh-agent-auth 0.10.2

=== debian/changelog ===
pam-ssh-agent-auth (0.10.2-2) unstable; urgency=medium

  [Adrian Bunk]
  * Build with OpenSSL 1.0.x (Closes: #828488)

  [Balint Reczey]
  * Add myself to uploaders
  * Always check return value of seteuid() (Closes: #820921)
  * Tidy up debian/control using cme fix

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 08 Jan 2017 14:29:57 +0100

pam-ssh-agent-auth (0.10.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable (Closes: #817254)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 08 Apr 2016 15:33:21 +0200

pam-ssh-agent-auth (0.10.2-1) experimental; urgency=medium

  [ Jamie Beverly ]

  * Initial Release. (Closes: #595817)

  [ Christian M. Amsüss ]

  * Modernized packaging,

 -- Christian M. Amsüss <chrysn@fsfe.org>  Thu, 24 Apr 2014 15:25:53 +0200

=== debian/control ===
Source: pam-ssh-agent-auth
Maintainer: Christian M. Amsüss <chrysn@fsfe.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libssl1.0-dev | libssl-dev (<< 1.1.0~),
               libpam0g-dev
Standards-Version: 3.9.5
Homepage: http://pamsshagentauth.sf.net/

Package: libpam-ssh-agent-auth
Architecture: any
Multi-Arch: same
Section: admin
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: PAM Authentication via forwarded ssh-agent
 pam_ssh_agent_auth is a PAM module which permits PAM authentication via your
 keyring in a forwarded ssh-agent.
 .
 This module can be used to provide authentication for anything run locally that
 supports PAM. It was written specifically with the intention of permitting
 authentication for sudo without password entry, and also has been proven useful
 for use with su as an alternative to wheel.

=== debian/watch ===
version=3
http://sf.net/pamsshagentauth/pam_ssh_agent_auth-(\d\S*)\.tar\.bz2

## pam-ssh-agent-auth 0.10.3

=== debian/changelog ===
pam-ssh-agent-auth (0.10.3-11) unstable; urgency=medium

  * QA upload.

  * Changed to new homepage url and contact in d/control,
    d/copyright and d/watch.
  * Added info on new files to d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Nov 2024 10:19:51 +0100

pam-ssh-agent-auth (0.10.3-10) unstable; urgency=medium

  * QA upload.

  * Added 1000-gcc-14.patch avoiding incompatible pointer passing to
    fix GCC 14 build errors (Closes: #1075358).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 05 Nov 2024 07:56:35 +0100

pam-ssh-agent-auth (0.10.3-9) unstable; urgency=medium

  * QA upload.

  * Document public domain status of ed25519-donna/* in d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 May 2024 05:05:09 +0200

pam-ssh-agent-auth (0.10.3-8) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Removed no longer relevant branch information from d/gbp.conf.
  * Enabled hardeing in d/rules.
  * Added 1000-clean-ed25519.patch to make source rebuildable
    (Closes: #1047646).
  * Switched key fingerprint hash algorithm from MD5 to SHA256
    (Closes: #1008675).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 16 Apr 2024 20:25:51 +0200

pam-ssh-agent-auth (0.10.3-7) unstable; urgency=medium

  * QA upload.
  * debian/patches: Add missing includes to checks in configure.ac

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Mar 2024 18:57:44 +0100

pam-ssh-agent-auth (0.10.3-6) unstable; urgency=medium

  * QA upload.
  * debian/: Bump debhelper compat to 13
  * debian/control: Set Rules-Requires-Root: no

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Mar 2024 21:00:56 +0100

pam-ssh-agent-auth (0.10.3-5) unstable; urgency=medium

  * QA upload.
  * Install into /usr (DEP17 M2).

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 20 Jan 2024 21:44:55 +0100

pam-ssh-agent-auth (0.10.3-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1003602)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 15:55:52 -0300

pam-ssh-agent-auth (0.10.3-3.1) unstable; urgency=medium

  [Balint Reczey]
  * Non-maintainer upload.

  [Marc Deslauriers]
  * Fix segfault when using ECDSA keys (LP: #1869512) (Closes: #956399)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 31 Dec 2021 19:08:41 +0100

pam-ssh-agent-auth (0.10.3-3) unstable; urgency=medium

  * Remove myself from uploaders

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 26 Jan 2019 22:58:57 +0700

pam-ssh-agent-auth (0.10.3-2) unstable; urgency=medium

  * Skip OpenSSL header check which was broken with OpenSSL 1.1
  * Build with default OpenSSL (1.1.x) (Closes: #859548)
  * Fix OpenSSL 1.1.1 compatibility with patch picked from FreeBSD via Gentoo

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 26 Jan 2019 22:30:04 +0700

pam-ssh-agent-auth (0.10.3-1) unstable; urgency=medium

  * Exclude debian/ directory from upstream tarballs
  * Repack upstream tarballs and compress them using xz
  * New upstream release 0.10.3
  * Use my @ubuntu.com email in Uploaders
  * Replace my patch for checking seteuid() return value with the one
    accepted upstream

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 07 Jul 2017 23:36:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: pam-ssh-agent-auth
-Maintainer: Christian M. Amsüss <chrysn@fsfe.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               libssl1.0-dev | libssl-dev (<< 1.1.0~),
+Build-Depends: debhelper-compat (= 13),
+               libssl-dev,
                libpam0g-dev
-Standards-Version: 3.9.5
-Homepage: http://pamsshagentauth.sf.net/
+Standards-Version: 4.7.0
+Homepage: https://github.com/jbeverly/pam_ssh_agent_auth
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/pam-ssh-agent-auth
+Vcs-Git: https://salsa.debian.org/debian/pam-ssh-agent-auth.git
 
 Package: libpam-ssh-agent-auth
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/${DEB_HOST_MULTIARCH}/security \
		--with-mantype=man \
		--without-openssl-header-check

=== debian/watch ===
version=4
https://github.com/jbeverly/pam_ssh_agent_auth/tags \
(?:.*?/)?pam_ssh_agent_auth-v?(\d[\d.]*)@ARCHIVE_EXT@

## pam-ssh-agent-auth 0.10.4

=== debian/changelog ===
pam-ssh-agent-auth (0.10.4) focal; urgency=medium

  * Release for Ubuntu 20.04 LTS

 -- Thomas Lobker <thomas@mediaserve.nl>  Sat, 25 Apr 2020 16:10:18 +0200

pam-ssh-agent-auth (0.10.2-1) stable; urgency=low
  * fix autoconf to work with autoreconf -fi
  * correct sudo-version note in man page
  * fix wire-protocol issue if a call fails
  * add licensing information to files missing it
  * correct licensing in debian files
  * fix compiler warnings with -D_FORTIFY_SOURCE=2
  * fix compiler warnings with -Wunused-parameter

 -- Jamie Beverly <soupboy@sourceforge.net> Thu, 9 Jan 2014 06:23:00 -0800

pam-ssh-agent-auth (0.10.1-1) stable; urgency=low
  * support for authorized_keys_command and authorized_keys_command_user

 -- Jamie Beverly <soupboy@sourceforge.net> Thu, 9 Jan 2014 06:23:00 -0800

pam-ssh-agent-auth (0.9.6-1) stable; urgency=high
  * Bug that allowed random cookie to be zero length, which could permit replay attacks 
  * Inclusion of additional metadata in session-id of request sent to ssh-agent to permit chain of trust
  * symbol-rename for base64 

 -- Jamie Beverly <soupboy@sourceforge.net> Sun, 22 Sep 2013 15:25:00 -0700

pam-ssh-agent-auth (0.9.5-1) stable; urgency=low
  * Portability fixes for BSD/Mac 

 -- Jamie Beverly <soupboy@sourceforge.net> Thu, 21 Feb 2013 18:12:00 -0800 

pam-ssh-agent-auth (0.9.4-1) stable; urgency=low

  * Prefixed symbol names to avoid collision with globally dl_open'd symbols names
  * updated Makefile.in as per http://sourceforge.net/tracker/?func=detail&aid=3510464&group_id=249556&atid=1126337
  * updated documentation for pam configuration

 -- Jamie Beverly <soupboy@sourceforge.net> Wed, 26 Jun 2012 19:22:00 -0700 

pam-ssh-agent-auth (0.9.3-1) stable; urgency=low

  * Minor fixes
  * changed default logging to include key signature and key file output (was
    previously in 'debug' mode)

 -- Jamie Beverly <soupboy@sourceforge.net>  Wed, 07 Jun 2011 11:10:00 -0700

pam-ssh-agent-auth (0.9.2-1) stable; urgency=low

  * Initial Release.

 -- Jamie Beverly <soupboy@sourceforge.net>  Wed, 13 Jan 2010 01:08:49 -0300
